<template>
    <v-container>
        <v-container>
            <v-card class="px-3">
                <v-card-text class="headline">Search Hotel</v-card-text>
                <v-card-text class="mt-0 pt-0">
                    <v-row>
                        <v-text-field
                                height="50"
                                background-color="color"
                                label="Solo"
                                placeholder="Search"
                                solo
                        ></v-text-field>
                        <v-btn color="orange darken-1" height="50" dark>Search</v-btn>
                    </v-row>
                </v-card-text>
            </v-card>
        </v-container>
        <v-container>
            <v-list-item
                    v-for="(hotel, index) in pagination.data"
                    :key="index"
            >
                <v-card class="fill-height my-2" min="800">
                    <v-img :src="require('../assets/hotel/'+(parseInt(index))+'.jpg')"></v-img>
                    <v-card-text class="text-left my-3 py-0">
                        <div class="title">Name</div>
                        <div>{{hotel.name}}</div>
                    </v-card-text>
                    <v-card-text class="text-left my-3 py-0">
                        <div class="title">Location</div>
                        <div>{{hotel.location}}</div>
                    </v-card-text>
                    <v-card-text class="text-left my-3 py-0">
                        <div class="title">Rating</div>
                        <v-rating readonly v-model="hotel.rating" color="orange"
                                  background-color="orange lighten-3"
                                  x-small></v-rating>
                    </v-card-text>
                    <v-card-actions class="mb-2 py-0">
                        <v-btn text @click="viewHotel(hotel.id)">View More</v-btn>
                    </v-card-actions>
                </v-card>
            </v-list-item>
            <v-row class="fill-height" align="end" justify="center">
                <v-col cols="8">
                    <v-container class="max-width">
                        <v-pagination
                                v-model="page"
                                class="my-4"
                                :length="this.pagination['last_page']"
                        ></v-pagination>
                    </v-container>
                </v-col>
            </v-row>
        </v-container>
        <v-dialog v-model="hotelDialog" max-width="500">
            <v-card>
                <v-card-title>Hotel Name</v-card-title>
                <v-card-text class="text-left">{{selectedHotel.name}}</v-card-text>
                <v-card-title>Min Price</v-card-title>
                <v-card-text class="text-left">{{selectedHotel.min_price}}</v-card-text>
                <v-card-title>Max Price</v-card-title>
                <v-card-text class="text-left">{{selectedHotel.max_price}}</v-card-text>
                <v-card-title>Location</v-card-title>
                <v-card-text class="text-left">{{selectedHotel.location}}</v-card-text>
                <v-card-title>Description</v-card-title>
                <v-card-text class="text-left">{{selectedHotel.description}}</v-card-text>
                <v-card-title>Website</v-card-title>
                <v-card-text class="text-left"><a>{{selectedHotel.website}}</a></v-card-text>
                <v-card-title>Rating</v-card-title>
                <v-card-text class="text-left">
                    <v-rating readonly v-model="selectedHotel.rating" color="orange"
                              background-color="orange lighten-3"
                              x-small></v-rating>
                </v-card-text>
            </v-card>
        </v-dialog>
    </v-container>
</template>

<script>
    export default {
        name: "Hotel",
        data() {
            return {
                page: 1,
                pagination: Object,
                selectedHotel: Object,
                hotelDialog: false,
            }
        },
        watch: {
            page: function () {
                this.getHotels()
            }
        },
        methods: {
            changeLoading() {
                this.$emit('isLoading')
            },
            getHotels() {
                this.changeLoading()
                this.$apiRequest.listHotel(this.page).then(response => {
                    this.pagination = response.data.data.hotels
                }).catch(error => {
                    console.log(error)
                }).finally(() => {
                    this.changeLoading()
                })
            },
            viewHotel(hotelId) {
                this.$apiRequest.viewHotel(hotelId).then(response => {
                    this.selectedHotel = response.data.data.hotel
                    this.hotelDialog = true
                }).catch(error => {
                    console.log(error)
                }).finally(() => {

                })
            }
        },
        created() {
            this.getHotels()
        }
    }
</script>

<style scoped>

</style>